$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.253.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.253.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'F633E8404E5EB6BA1E2C1FD6D583C5C97C641055DA06D76BF36201E545145183'
  checksumType = 'sha256'
  checksum64 = 'F633E8404E5EB6BA1E2C1FD6D583C5C97C641055DA06D76BF36201E545145183'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.253-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
